From 187588eeacea37574d98e892d824776dce86867b Mon Sep 17 00:00:00 2001
From: Joel Galenson <jgalenson@google.com>
Date: Apr 17 2020 23:19:54 +0000
Subject: [PATCH 282/2232] Mark default and copy constructors as deleted.


---

diff --git a/gen/write.rs b/gen/write.rs
index 21fbc8c..b8d17df 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -326,6 +326,8 @@ fn write_struct_with_methods(out: &mut OutFile, ety: &ExternType, methods: &Vec<
         writeln!(out, "//{}", line);
     }
     writeln!(out, "struct {} final {{", ety.ident);
+    writeln!(out, "  {}() = delete;", ety.ident);
+    writeln!(out, "  {}(const {}&) = delete;", ety.ident, ety.ident);
     for method in methods {
         write!(out, "  ");
         let sig = &method.sig;

